package com.yeejoin.amos.boot.biz.common.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.biz.common.entity.DataDictionary;
import com.yeejoin.amos.boot.biz.common.utils.MenuFrom;
import java.util.List;

/**
 * 数据字典 服务类
 *
 * @author tb
 * @date 2021-06-07
 */
public interface IDataDictionaryService {


    Object getFireChemical(String type) throws Exception;

    Object gwmcDataDictionary(String type) throws Exception;
    
    List<MenuFrom> getGWMCDataDictionary(String type) throws Exception;
    
    public List<DataDictionary> getByType(String type);
    
    public List<DataDictionary> getAllChildNodes(String type,Long parent) throws Exception;

    List<DataDictionary> getChildList(String type, String group);

    List<DataDictionary> getByParent(String parent);

    DataDictionary getByExtend(String groupId, String type);

    IPage<DataDictionary> getDictByExtendsAndTypePage(String extend, String type, String name, Page<DataDictionary> page);
}
